package fr.shortcircuit.gui;

import java.awt.Font;
import java.awt.FontMetrics;

import javax.swing.JPanel;

/** 
 * @author Dimitri Dean DARSEYNE (D3), 
 * Published by Short-Circuit under Creative Commons (CC) Licensing: 
 * Authorship/Paternity, NO Commercial Use, NO Derivative
 * Please check for more informations:
 * http://creativecommons.org/licenses/by-nc-nd/2.0/
 *
 * Auteur Dimitri Dean DARSEYNE (D3),
 * Publié par Short-Circuit sous license Creative Commons (CC):
 * Paternité, PAS d'Utilisation Commerciale, pas de Dérivés/Modifications
 * Pour plus d'informations, se rendre sur:
 * http://creativecommons.org/licenses/by-nc-nd/2.0/fr/ 
 * 
 * @since Short-Circuit 1999
 */

public interface IConversionConstants 
{
	//Diverses chaines de caractère constantes
	public String 		STR_EXIT_LABEL 					= "Sortie";
	public String 		STR_CLEAR_LABEL 				= "Clear";
	
	public String 		STR_EXIT_TOOLTIP_LABEL 			= "Sortie";
	public String 		STR_CLEAR_TOOLTIP_LABEL 		= "Effacer les conversion";
	
	public String 		STR_FRENCH_PRICE_LABEL 			= " Prix en Francs ";
	public String 		STR_EUROS_PRICE_LABEL 			= " Prix en Euros ";

	public String 		STR_FRENCH_TOOLTIP_PRICE_LABEL 	= "Le montant à convertir en FF";
	public String 		STR_EUROS_TOOLTIP_PRICE_LABEL 	= "Le montant à convertir en Euros";

	public int			INT_CONVERSION_FRAME_WIDTH		= 370;
	public int			INT_CONVERSION_FRAME_HEIGHT		= 80;
	
	
	/** Une Police de caractere */
	public Font			FONT_PANEL						= new Font("Arial", Font.PLAIN , 13);
	
	/** Object permettant de calculer la taille en pixel des textes utilises */
	public FontMetrics	FONT_METRICS						= new JPanel().getFontMetrics(FONT_PANEL);
	
}

